cloudstack-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Abhinav Roy (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (CLOUDSTACK-3812) [Upgrade from 2.2.15 to 4.2] upgrade from 2.2.15 to 4.2 using the rhel6.2 rpm builds on rhel 6.1 MS and KVM gives dependency errors on agent installation and multiple errors on management server
Date Fri, 26 Jul 2013 17:27:48 GMT

     [ https://issues.apache.org/jira/browse/CLOUDSTACK-3812?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Abhinav Roy updated CLOUDSTACK-3812:
------------------------------------

    Description: 
Error 1 : Agent
===================================
1. Install 2.2.15 GA build on the the KVM host. 

[root@rhel61-band17 CloudStack-2.2.15-2-rhel6.2]# ./install.sh 
Setting up the temporary repository...
Cleaning Yum cache...
Loaded plugins: product-id, subscription-manager
Updating Red Hat repositories.
Cleaning repos: cloud-temp rhel
1 metadata files removed
Welcome to the CloudStack Installer.  What would you like to do?

        NOTE:   For installing KVM agent, please setup EPEL<http://fedoraproject.org/wiki/EPEL>
yum repo first;
                For installing CloudStack on RHEL6.x, please setup distribution yum repo either
from ISO or from your registeration account.
                

    M) Install the Management Server   
    A) Install the Agent
    B) Install BareMetal Agent
    S) Install the Usage Monitor
    D) Install the database server (from distribution's repo)      
    L) Install the MySQL 5.1.58 (only for CentOS5.x, Rhel6.x naturally has higher version
MySql)
    Q) Quit
 > a
Installing the Agent...
Loaded plugins: product-id, subscription-manager
Updating Red Hat repositories.
cloud-temp                                                                               
                                            | 2.6 kB     00:00 ... 
cloud-temp/primary_db                                                                    
                                            |  22 kB     00:00 ... 
rhel                                                                                     
                                            | 4.0 kB     00:00 ... 
Not using downloaded repomd.xml because it is older than what we have:
  Current   : Thu Nov 17 21:45:19 2011
  Downloaded: Wed May 11 04:21:40 2011
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package cloud-agent.x86_64 0:2.2.15-2.el6 will be installed
--> Processing Dependency: cloud-python = 2.2.15 for package: cloud-agent-2.2.15-2.el6.x86_64
--> Processing Dependency: cloud-utils = 2.2.15 for package: cloud-agent-2.2.15-2.el6.x86_64
--> Processing Dependency: cloud-agent-scripts = 2.2.15 for package: cloud-agent-2.2.15-2.el6.x86_64
--> Processing Dependency: cloud-core = 2.2.15 for package: cloud-agent-2.2.15-2.el6.x86_64
--> Processing Dependency: cloud-agent-libs = 2.2.15 for package: cloud-agent-2.2.15-2.el6.x86_64
--> Processing Dependency: cloud-deps = 2.2.15 for package: cloud-agent-2.2.15-2.el6.x86_64
--> Processing Dependency: cloud-daemonize for package: cloud-agent-2.2.15-2.el6.x86_64
--> Running transaction check
---> Package cloud-agent-libs.x86_64 0:2.2.15-2.el6 will be installed
---> Package cloud-agent-scripts.x86_64 0:2.2.15-2.el6 will be installed
---> Package cloud-core.x86_64 0:2.2.15-2.el6 will be installed
---> Package cloud-daemonize.x86_64 0:2.2.15-2.el6 will be installed
---> Package cloud-deps.x86_64 0:2.2.15-2.el6 will be installed
---> Package cloud-python.x86_64 0:2.2.15-2.el6 will be installed
---> Package cloud-utils.x86_64 0:2.2.15-2.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================================================================================================
 Package                                     Arch                           Version      
                          Repository                          Size
=============================================================================================================================================================
Installing:
 cloud-agent                                 x86_64                         2.2.15-2.el6 
                          cloud-temp                          11 k
Installing for dependencies:
 cloud-agent-libs                            x86_64                         2.2.15-2.el6 
                          cloud-temp                         216 k
 cloud-agent-scripts                         x86_64                         2.2.15-2.el6 
                          cloud-temp                          26 M
 cloud-core                                  x86_64                         2.2.15-2.el6 
                          cloud-temp                         568 k
 cloud-daemonize                             x86_64                         2.2.15-2.el6 
                          cloud-temp                         9.0 k
 cloud-deps                                  x86_64                         2.2.15-2.el6 
                          cloud-temp                          18 M
 cloud-python                                x86_64                         2.2.15-2.el6 
                          cloud-temp                          65 k
 cloud-utils                                 x86_64                         2.2.15-2.el6 
                          cloud-temp                         1.1 M

Transaction Summary
=============================================================================================================================================================
Install       8 Package(s)

Total download size: 47 M
Installed size: 50 M
Is this ok [y/N]: y
Downloading Packages:
-------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                    
                                    71 MB/s |  47 MB     00:00     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : cloud-utils-2.2.15-2.el6.x86_64                                           
                                                               1/8 
  Installing : cloud-deps-2.2.15-2.el6.x86_64                                            
                                                               2/8 
  Installing : cloud-core-2.2.15-2.el6.x86_64                                            
                                                               3/8 
  Installing : cloud-agent-libs-2.2.15-2.el6.x86_64                                      
                                                               4/8 
  Installing : cloud-agent-scripts-2.2.15-2.el6.x86_64                                   
                                                               5/8 
  Installing : cloud-python-2.2.15-2.el6.x86_64                                          
                                                               6/8 
  Installing : cloud-daemonize-2.2.15-2.el6.x86_64                                       
                                                               7/8 
  Installing : cloud-agent-2.2.15-2.el6.x86_64                                           
                                                               8/8 
duration: 174(ms)
Installed products updated.

Installed:
  cloud-agent.x86_64 0:2.2.15-2.el6                                                      
                                                                   

Dependency Installed:
  cloud-agent-libs.x86_64 0:2.2.15-2.el6 cloud-agent-scripts.x86_64 0:2.2.15-2.el6 cloud-core.x86_64
0:2.2.15-2.el6  cloud-daemonize.x86_64 0:2.2.15-2.el6
  cloud-deps.x86_64 0:2.2.15-2.el6       cloud-python.x86_64 0:2.2.15-2.el6        cloud-utils.x86_64
0:2.2.15-2.el6

Complete!
Loaded plugins: product-id, subscription-manager
Updating Red Hat repositories.
Setting up Update Process
No Packages marked for Update
Agent installation is completed, please add the host from management server

The installation goes fine but the agent fails to start :

Here is something in agent logs,

log4j:WARN No appenders could be found for logger (com.cloud.agent.AgentShell).
log4j:WARN Please initialize the log4j system properly.
log4j:WARN See http://logging.apache.org/log4j/1.2/faq.html#noconfig for more info.
2013-07-25 20:02:27,538{GMT} INFO  [utils.component.ComponentLocator] (main:) Unable to find
components.xml
2013-07-25 20:02:27,538 INFO  [utils.component.ComponentLocator] (main:null) Unable to find
components.xml
2013-07-25 20:02:27,540{GMT} INFO  [utils.component.ComponentLocator] (main:) Skipping configuration
using components.xml
2013-07-25 20:02:27,540 INFO  [utils.component.ComponentLocator] (main:null) Skipping configuration
using components.xml
2013-07-25 20:02:27,540{GMT} INFO  [cloud.agent.AgentShell] (main:) Implementation Version
is 2.2.15.20121003223501
2013-07-25 20:02:27,540 INFO  [cloud.agent.AgentShell] (main:null) Implementation Version
is 2.2.15.20121003223501
2013-07-25 20:02:27,543{GMT} ERROR [cloud.agent.AgentShell] (main:) Unable to start agent:
Unable to find the guid
2013-07-25 20:02:27,543 ERROR [cloud.agent.AgentShell] (main:null) Unable to start agent:
Unable to find the guid
Unable to start agent: Unable to find the guid
/usr/bin/build-classpath: error: Could not find jnetpcap.jar Java extension for this JVM
/usr/bin/build-classpath: error: Some specified jars were not found
Current directory is /usr/lib64/cloud/agent

Does this mean we can't install Rhel 6.2 builds on Rhel 6.1 MS ?
------------------------------------------------------------------------------------------------------------------------------------------------------

Error 2 : Agent
====================================
Even after that when I tried to upgrade agent, there was a dependecy error for "ipset"

[root@rhel61-band17 CloudPlatform-4.2-dbupgrade-14-rhel6.2]# ./install.sh 
Setting up the temporary repository...
Cleaning Yum cache...
Loaded plugins: product-id, subscription-manager
Updating Red Hat repositories.
Cleaning repos: cloud-temp rhel
1 metadata files removed
Welcome to the CloudPlatform Installer.  What would you like to do?

        NOTE:   For installing KVM agent, please setup EPEL<http://fedoraproject.org/wiki/EPEL>
yum repo first;
                For installing CloudPlatform on RHEL6.x, please setup distribution yum repo
either from ISO or from your registeration account.
                

    M) Install the Management Server   
    A) Install the Agent
    B) Install BareMetal Agent
    S) Install the Usage Monitor
    D) Install the database server (from distribution's repo)      
    U) Upgrade the CloudPlatform packages installed on this computer
    R) Stop any running CloudPlatform services and remove the CloudPlatform packages from
this computer
    L) Install the MySQL 5.1.58 (only for CentOS5.x, Rhel6.x naturally has higher version
MySql)
    Q) Quit
 > u
Updating the CloudPlatform and its dependencies...
Loaded plugins: product-id, subscription-manager
Updating Red Hat repositories.
cloud-temp                                                                               
                                            | 1.3 kB     00:00 ... 
cloud-temp/primary                                                                       
                                            | 2.4 kB     00:00 ... 
cloud-temp                                                                               
                                                               6/6
rhel                                                                                     
                                            | 4.0 kB     00:00 ... 
Not using downloaded repomd.xml because it is older than what we have:
  Current   : Thu Nov 17 21:45:19 2011
  Downloaded: Wed May 11 04:21:40 2011
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package cloud-agent.x86_64 0:2.2.15-2.el6 will be obsoleted
---> Package cloud-agent-libs.x86_64 0:2.2.15-2.el6 will be obsoleted
---> Package cloud-core.x86_64 0:2.2.15-2.el6 will be obsoleted
---> Package cloud-daemonize.x86_64 0:2.2.15-2.el6 will be obsoleted
---> Package cloud-deps.x86_64 0:2.2.15-2.el6 will be obsoleted
---> Package cloud-python.x86_64 0:2.2.15-2.el6 will be obsoleted
---> Package cloud-utils.x86_64 0:2.2.15-2.el6 will be obsoleted
---> Package cloudstack-agent.x86_64 0:4.2.0-SNAPSHOT.el6 will be obsoleting
--> Processing Dependency: ipset for package: cloudstack-agent-4.2.0-SNAPSHOT.el6.x86_64
---> Package cloudstack-common.x86_64 0:4.2.0-SNAPSHOT.el6 will be obsoleting
---> Package cloudstack-management.x86_64 0:4.2.0-SNAPSHOT.el6 will be obsoleting
--> Processing Dependency: cloudstack-awsapi = 4.2.0 for package: cloudstack-management-4.2.0-SNAPSHOT.el6.x86_64
--> Processing Dependency: mysql-connector-java for package: cloudstack-management-4.2.0-SNAPSHOT.el6.x86_64
--> Running transaction check
---> Package cloudstack-agent.x86_64 0:4.2.0-SNAPSHOT.el6 will be obsoleting
--> Processing Dependency: ipset for package: cloudstack-agent-4.2.0-SNAPSHOT.el6.x86_64
---> Package cloudstack-awsapi.x86_64 0:4.2.0-SNAPSHOT.el6 will be installed
---> Package mysql-connector-java.x86_64 1:5.1.12-2.el6 will be installed
--> Processing Dependency: jta >= 1.0 for package: 1:mysql-connector-java-5.1.12-2.el6.x86_64
--> Running transaction check
---> Package cloudstack-agent.x86_64 0:4.2.0-SNAPSHOT.el6 will be obsoleting
--> Processing Dependency: ipset for package: cloudstack-agent-4.2.0-SNAPSHOT.el6.x86_64
---> Package geronimo-specs-compat.noarch 0:1.0-3.4.M2.el6 will be installed
--> Processing Dependency: geronimo-specs = 1.0-3.4.M2.el6 for package: geronimo-specs-compat-1.0-3.4.M2.el6.noarch
--> Running transaction check
---> Package cloudstack-agent.x86_64 0:4.2.0-SNAPSHOT.el6 will be obsoleting
--> Processing Dependency: ipset for package: cloudstack-agent-4.2.0-SNAPSHOT.el6.x86_64
---> Package geronimo-specs.noarch 0:1.0-3.4.M2.el6 will be installed
--> Processing Dependency: apache-tomcat-apis for package: geronimo-specs-1.0-3.4.M2.el6.noarch
--> Running transaction check
---> Package apache-tomcat-apis.noarch 0:0.1-1.el6 will be installed
---> Package cloudstack-agent.x86_64 0:4.2.0-SNAPSHOT.el6 will be obsoleting
--> Processing Dependency: ipset for package: cloudstack-agent-4.2.0-SNAPSHOT.el6.x86_64
--> Finished Dependency Resolution
Error: Package: cloudstack-agent-4.2.0-SNAPSHOT.el6.x86_64 (cloud-temp)
           Requires: ipset
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
[root@rhel61-band17 CloudPlatform-4.2-dbupgrade-14-rhel6.2]# 


Before this there was jsvc dependency also.
--------------------------------------------------------------------

Removing the issues from management server side as they are already there in https://issues.apache.org/jira/browse/CLOUDSTACK-3858

  was:
Error 1 : Agent
===================================
1. Install 2.2.15 GA build on the the KVM host. 

[root@rhel61-band17 CloudStack-2.2.15-2-rhel6.2]# ./install.sh 
Setting up the temporary repository...
Cleaning Yum cache...
Loaded plugins: product-id, subscription-manager
Updating Red Hat repositories.
Cleaning repos: cloud-temp rhel
1 metadata files removed
Welcome to the CloudStack Installer.  What would you like to do?

        NOTE:   For installing KVM agent, please setup EPEL<http://fedoraproject.org/wiki/EPEL>
yum repo first;
                For installing CloudStack on RHEL6.x, please setup distribution yum repo either
from ISO or from your registeration account.
                

    M) Install the Management Server   
    A) Install the Agent
    B) Install BareMetal Agent
    S) Install the Usage Monitor
    D) Install the database server (from distribution's repo)      
    L) Install the MySQL 5.1.58 (only for CentOS5.x, Rhel6.x naturally has higher version
MySql)
    Q) Quit
 > a
Installing the Agent...
Loaded plugins: product-id, subscription-manager
Updating Red Hat repositories.
cloud-temp                                                                               
                                            | 2.6 kB     00:00 ... 
cloud-temp/primary_db                                                                    
                                            |  22 kB     00:00 ... 
rhel                                                                                     
                                            | 4.0 kB     00:00 ... 
Not using downloaded repomd.xml because it is older than what we have:
  Current   : Thu Nov 17 21:45:19 2011
  Downloaded: Wed May 11 04:21:40 2011
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package cloud-agent.x86_64 0:2.2.15-2.el6 will be installed
--> Processing Dependency: cloud-python = 2.2.15 for package: cloud-agent-2.2.15-2.el6.x86_64
--> Processing Dependency: cloud-utils = 2.2.15 for package: cloud-agent-2.2.15-2.el6.x86_64
--> Processing Dependency: cloud-agent-scripts = 2.2.15 for package: cloud-agent-2.2.15-2.el6.x86_64
--> Processing Dependency: cloud-core = 2.2.15 for package: cloud-agent-2.2.15-2.el6.x86_64
--> Processing Dependency: cloud-agent-libs = 2.2.15 for package: cloud-agent-2.2.15-2.el6.x86_64
--> Processing Dependency: cloud-deps = 2.2.15 for package: cloud-agent-2.2.15-2.el6.x86_64
--> Processing Dependency: cloud-daemonize for package: cloud-agent-2.2.15-2.el6.x86_64
--> Running transaction check
---> Package cloud-agent-libs.x86_64 0:2.2.15-2.el6 will be installed
---> Package cloud-agent-scripts.x86_64 0:2.2.15-2.el6 will be installed
---> Package cloud-core.x86_64 0:2.2.15-2.el6 will be installed
---> Package cloud-daemonize.x86_64 0:2.2.15-2.el6 will be installed
---> Package cloud-deps.x86_64 0:2.2.15-2.el6 will be installed
---> Package cloud-python.x86_64 0:2.2.15-2.el6 will be installed
---> Package cloud-utils.x86_64 0:2.2.15-2.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================================================================================================
 Package                                     Arch                           Version      
                          Repository                          Size
=============================================================================================================================================================
Installing:
 cloud-agent                                 x86_64                         2.2.15-2.el6 
                          cloud-temp                          11 k
Installing for dependencies:
 cloud-agent-libs                            x86_64                         2.2.15-2.el6 
                          cloud-temp                         216 k
 cloud-agent-scripts                         x86_64                         2.2.15-2.el6 
                          cloud-temp                          26 M
 cloud-core                                  x86_64                         2.2.15-2.el6 
                          cloud-temp                         568 k
 cloud-daemonize                             x86_64                         2.2.15-2.el6 
                          cloud-temp                         9.0 k
 cloud-deps                                  x86_64                         2.2.15-2.el6 
                          cloud-temp                          18 M
 cloud-python                                x86_64                         2.2.15-2.el6 
                          cloud-temp                          65 k
 cloud-utils                                 x86_64                         2.2.15-2.el6 
                          cloud-temp                         1.1 M

Transaction Summary
=============================================================================================================================================================
Install       8 Package(s)

Total download size: 47 M
Installed size: 50 M
Is this ok [y/N]: y
Downloading Packages:
-------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                    
                                    71 MB/s |  47 MB     00:00     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : cloud-utils-2.2.15-2.el6.x86_64                                           
                                                               1/8 
  Installing : cloud-deps-2.2.15-2.el6.x86_64                                            
                                                               2/8 
  Installing : cloud-core-2.2.15-2.el6.x86_64                                            
                                                               3/8 
  Installing : cloud-agent-libs-2.2.15-2.el6.x86_64                                      
                                                               4/8 
  Installing : cloud-agent-scripts-2.2.15-2.el6.x86_64                                   
                                                               5/8 
  Installing : cloud-python-2.2.15-2.el6.x86_64                                          
                                                               6/8 
  Installing : cloud-daemonize-2.2.15-2.el6.x86_64                                       
                                                               7/8 
  Installing : cloud-agent-2.2.15-2.el6.x86_64                                           
                                                               8/8 
duration: 174(ms)
Installed products updated.

Installed:
  cloud-agent.x86_64 0:2.2.15-2.el6                                                      
                                                                   

Dependency Installed:
  cloud-agent-libs.x86_64 0:2.2.15-2.el6 cloud-agent-scripts.x86_64 0:2.2.15-2.el6 cloud-core.x86_64
0:2.2.15-2.el6  cloud-daemonize.x86_64 0:2.2.15-2.el6
  cloud-deps.x86_64 0:2.2.15-2.el6       cloud-python.x86_64 0:2.2.15-2.el6        cloud-utils.x86_64
0:2.2.15-2.el6

Complete!
Loaded plugins: product-id, subscription-manager
Updating Red Hat repositories.
Setting up Update Process
No Packages marked for Update
Agent installation is completed, please add the host from management server

The installation goes fine but the agent fails to start :

Here is something in agent logs,

log4j:WARN No appenders could be found for logger (com.cloud.agent.AgentShell).
log4j:WARN Please initialize the log4j system properly.
log4j:WARN See http://logging.apache.org/log4j/1.2/faq.html#noconfig for more info.
2013-07-25 20:02:27,538{GMT} INFO  [utils.component.ComponentLocator] (main:) Unable to find
components.xml
2013-07-25 20:02:27,538 INFO  [utils.component.ComponentLocator] (main:null) Unable to find
components.xml
2013-07-25 20:02:27,540{GMT} INFO  [utils.component.ComponentLocator] (main:) Skipping configuration
using components.xml
2013-07-25 20:02:27,540 INFO  [utils.component.ComponentLocator] (main:null) Skipping configuration
using components.xml
2013-07-25 20:02:27,540{GMT} INFO  [cloud.agent.AgentShell] (main:) Implementation Version
is 2.2.15.20121003223501
2013-07-25 20:02:27,540 INFO  [cloud.agent.AgentShell] (main:null) Implementation Version
is 2.2.15.20121003223501
2013-07-25 20:02:27,543{GMT} ERROR [cloud.agent.AgentShell] (main:) Unable to start agent:
Unable to find the guid
2013-07-25 20:02:27,543 ERROR [cloud.agent.AgentShell] (main:null) Unable to start agent:
Unable to find the guid
Unable to start agent: Unable to find the guid
/usr/bin/build-classpath: error: Could not find jnetpcap.jar Java extension for this JVM
/usr/bin/build-classpath: error: Some specified jars were not found
Current directory is /usr/lib64/cloud/agent

Does this mean we can't install Rhel 6.2 builds on Rhel 6.1 MS ?
------------------------------------------------------------------------------------------------------------------------------------------------------

Error 2 : Agent
====================================
Even after that when I tried to upgrade agent, there was a dependecy error for "ipset"

[root@rhel61-band17 CloudPlatform-4.2-dbupgrade-14-rhel6.2]# ./install.sh 
Setting up the temporary repository...
Cleaning Yum cache...
Loaded plugins: product-id, subscription-manager
Updating Red Hat repositories.
Cleaning repos: cloud-temp rhel
1 metadata files removed
Welcome to the CloudPlatform Installer.  What would you like to do?

        NOTE:   For installing KVM agent, please setup EPEL<http://fedoraproject.org/wiki/EPEL>
yum repo first;
                For installing CloudPlatform on RHEL6.x, please setup distribution yum repo
either from ISO or from your registeration account.
                

    M) Install the Management Server   
    A) Install the Agent
    B) Install BareMetal Agent
    S) Install the Usage Monitor
    D) Install the database server (from distribution's repo)      
    U) Upgrade the CloudPlatform packages installed on this computer
    R) Stop any running CloudPlatform services and remove the CloudPlatform packages from
this computer
    L) Install the MySQL 5.1.58 (only for CentOS5.x, Rhel6.x naturally has higher version
MySql)
    Q) Quit
 > u
Updating the CloudPlatform and its dependencies...
Loaded plugins: product-id, subscription-manager
Updating Red Hat repositories.
cloud-temp                                                                               
                                            | 1.3 kB     00:00 ... 
cloud-temp/primary                                                                       
                                            | 2.4 kB     00:00 ... 
cloud-temp                                                                               
                                                               6/6
rhel                                                                                     
                                            | 4.0 kB     00:00 ... 
Not using downloaded repomd.xml because it is older than what we have:
  Current   : Thu Nov 17 21:45:19 2011
  Downloaded: Wed May 11 04:21:40 2011
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package cloud-agent.x86_64 0:2.2.15-2.el6 will be obsoleted
---> Package cloud-agent-libs.x86_64 0:2.2.15-2.el6 will be obsoleted
---> Package cloud-core.x86_64 0:2.2.15-2.el6 will be obsoleted
---> Package cloud-daemonize.x86_64 0:2.2.15-2.el6 will be obsoleted
---> Package cloud-deps.x86_64 0:2.2.15-2.el6 will be obsoleted
---> Package cloud-python.x86_64 0:2.2.15-2.el6 will be obsoleted
---> Package cloud-utils.x86_64 0:2.2.15-2.el6 will be obsoleted
---> Package cloudstack-agent.x86_64 0:4.2.0-SNAPSHOT.el6 will be obsoleting
--> Processing Dependency: ipset for package: cloudstack-agent-4.2.0-SNAPSHOT.el6.x86_64
---> Package cloudstack-common.x86_64 0:4.2.0-SNAPSHOT.el6 will be obsoleting
---> Package cloudstack-management.x86_64 0:4.2.0-SNAPSHOT.el6 will be obsoleting
--> Processing Dependency: cloudstack-awsapi = 4.2.0 for package: cloudstack-management-4.2.0-SNAPSHOT.el6.x86_64
--> Processing Dependency: mysql-connector-java for package: cloudstack-management-4.2.0-SNAPSHOT.el6.x86_64
--> Running transaction check
---> Package cloudstack-agent.x86_64 0:4.2.0-SNAPSHOT.el6 will be obsoleting
--> Processing Dependency: ipset for package: cloudstack-agent-4.2.0-SNAPSHOT.el6.x86_64
---> Package cloudstack-awsapi.x86_64 0:4.2.0-SNAPSHOT.el6 will be installed
---> Package mysql-connector-java.x86_64 1:5.1.12-2.el6 will be installed
--> Processing Dependency: jta >= 1.0 for package: 1:mysql-connector-java-5.1.12-2.el6.x86_64
--> Running transaction check
---> Package cloudstack-agent.x86_64 0:4.2.0-SNAPSHOT.el6 will be obsoleting
--> Processing Dependency: ipset for package: cloudstack-agent-4.2.0-SNAPSHOT.el6.x86_64
---> Package geronimo-specs-compat.noarch 0:1.0-3.4.M2.el6 will be installed
--> Processing Dependency: geronimo-specs = 1.0-3.4.M2.el6 for package: geronimo-specs-compat-1.0-3.4.M2.el6.noarch
--> Running transaction check
---> Package cloudstack-agent.x86_64 0:4.2.0-SNAPSHOT.el6 will be obsoleting
--> Processing Dependency: ipset for package: cloudstack-agent-4.2.0-SNAPSHOT.el6.x86_64
---> Package geronimo-specs.noarch 0:1.0-3.4.M2.el6 will be installed
--> Processing Dependency: apache-tomcat-apis for package: geronimo-specs-1.0-3.4.M2.el6.noarch
--> Running transaction check
---> Package apache-tomcat-apis.noarch 0:0.1-1.el6 will be installed
---> Package cloudstack-agent.x86_64 0:4.2.0-SNAPSHOT.el6 will be obsoleting
--> Processing Dependency: ipset for package: cloudstack-agent-4.2.0-SNAPSHOT.el6.x86_64
--> Finished Dependency Resolution
Error: Package: cloudstack-agent-4.2.0-SNAPSHOT.el6.x86_64 (cloud-temp)
           Requires: ipset
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
[root@rhel61-band17 CloudPlatform-4.2-dbupgrade-14-rhel6.2]# 


Before this there was jsvc dependency also.
--------------------------------------------------------------------

Error 3 : Management server
=============================================
The initial installation of 2.215 went ahead without any issues.
But after upgrade we had issues

i) tomcat6.conf file was missing.

ii) After starting management server, the logs were not created

[root@MS-Rhel61 management]# ls
catalina.out
[root@MS-Rhel61 management]# pwd
/var/log/cloudstack/management


iii) Restarting management server gives following errors

[root@MS-Rhel61 management]# service cloudstack-management restart
Usage: grep [OPTION]... PATTERN [FILE]...
Try `grep --help' for more information.
ERROR: List of process IDs must follow --pid.
********* simple selection *********  ********* selection by list *********
-A all processes                      -C by command name
-N negate selection                   -G by real group ID (supports names)
-a all w/ tty except session leaders  -U by real user ID (supports names)
-d all except session leaders         -g by session OR by effective group name
-e all processes                      -p by process ID
T  all processes on this terminal     -s processes in the sessions given
a  all w/ tty, including other users  -t by tty
g  OBSOLETE -- DO NOT USE             -u by effective user ID (supports names)
r  only running processes             U  processes for specified users
x  processes w/o controlling ttys     t  by tty
*********** output format **********  *********** long options ***********
-o,o user-defined  -f full            --Group --User --pid --cols --ppid
-j,j job control   s  signal          --group --user --sid --rows --info
-O,O preloaded -o  v  virtual memory  --cumulative --format --deselect
-l,l long          u  user-oriented   --sort --tty --forest --version
-F   extra full    X  registers       --heading --no-heading --context
                    ********* misc options *********
-V,V  show version      L  list format codes  f  ASCII art forest
-m,m,-L,-T,H  threads   S  children in sum    -y change -l format
-M,Z  security data     c  true command name  -c scheduling class
-w,w  wide output       n  numeric WCHAN,UID  -H process hierarchy
/etc/init.d/cloudstack-management: line 52: [: : integer expression expected
Usage: grep [OPTION]... PATTERN [FILE]...




    
> [Upgrade from 2.2.15 to 4.2] upgrade from 2.2.15 to 4.2 using the rhel6.2 rpm builds
on rhel 6.1 MS and KVM gives dependency errors on agent installation and multiple errors on
management server 
> ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
>
>                 Key: CLOUDSTACK-3812
>                 URL: https://issues.apache.org/jira/browse/CLOUDSTACK-3812
>             Project: CloudStack
>          Issue Type: Bug
>      Security Level: Public(Anyone can view this level - this is the default.) 
>          Components: Infra
>    Affects Versions: 4.2.0
>         Environment: Host : KVM (Rhel 6.1)
> MS : Rhel 6.1
>            Reporter: Abhinav Roy
>            Assignee: Rayees Namathponnan
>            Priority: Blocker
>             Fix For: 4.2.0
>
>
> Error 1 : Agent
> ===================================
> 1. Install 2.2.15 GA build on the the KVM host. 
> [root@rhel61-band17 CloudStack-2.2.15-2-rhel6.2]# ./install.sh 
> Setting up the temporary repository...
> Cleaning Yum cache...
> Loaded plugins: product-id, subscription-manager
> Updating Red Hat repositories.
> Cleaning repos: cloud-temp rhel
> 1 metadata files removed
> Welcome to the CloudStack Installer.  What would you like to do?
>         NOTE:   For installing KVM agent, please setup EPEL<http://fedoraproject.org/wiki/EPEL>
yum repo first;
>                 For installing CloudStack on RHEL6.x, please setup distribution yum repo
either from ISO or from your registeration account.
>                 
>     M) Install the Management Server   
>     A) Install the Agent
>     B) Install BareMetal Agent
>     S) Install the Usage Monitor
>     D) Install the database server (from distribution's repo)      
>     L) Install the MySQL 5.1.58 (only for CentOS5.x, Rhel6.x naturally has higher version
MySql)
>     Q) Quit
>  > a
> Installing the Agent...
> Loaded plugins: product-id, subscription-manager
> Updating Red Hat repositories.
> cloud-temp                                                                          
                                                 | 2.6 kB     00:00 ... 
> cloud-temp/primary_db                                                               
                                                 |  22 kB     00:00 ... 
> rhel                                                                                
                                                 | 4.0 kB     00:00 ... 
> Not using downloaded repomd.xml because it is older than what we have:
>   Current   : Thu Nov 17 21:45:19 2011
>   Downloaded: Wed May 11 04:21:40 2011
> Setting up Install Process
> Resolving Dependencies
> --> Running transaction check
> ---> Package cloud-agent.x86_64 0:2.2.15-2.el6 will be installed
> --> Processing Dependency: cloud-python = 2.2.15 for package: cloud-agent-2.2.15-2.el6.x86_64
> --> Processing Dependency: cloud-utils = 2.2.15 for package: cloud-agent-2.2.15-2.el6.x86_64
> --> Processing Dependency: cloud-agent-scripts = 2.2.15 for package: cloud-agent-2.2.15-2.el6.x86_64
> --> Processing Dependency: cloud-core = 2.2.15 for package: cloud-agent-2.2.15-2.el6.x86_64
> --> Processing Dependency: cloud-agent-libs = 2.2.15 for package: cloud-agent-2.2.15-2.el6.x86_64
> --> Processing Dependency: cloud-deps = 2.2.15 for package: cloud-agent-2.2.15-2.el6.x86_64
> --> Processing Dependency: cloud-daemonize for package: cloud-agent-2.2.15-2.el6.x86_64
> --> Running transaction check
> ---> Package cloud-agent-libs.x86_64 0:2.2.15-2.el6 will be installed
> ---> Package cloud-agent-scripts.x86_64 0:2.2.15-2.el6 will be installed
> ---> Package cloud-core.x86_64 0:2.2.15-2.el6 will be installed
> ---> Package cloud-daemonize.x86_64 0:2.2.15-2.el6 will be installed
> ---> Package cloud-deps.x86_64 0:2.2.15-2.el6 will be installed
> ---> Package cloud-python.x86_64 0:2.2.15-2.el6 will be installed
> ---> Package cloud-utils.x86_64 0:2.2.15-2.el6 will be installed
> --> Finished Dependency Resolution
> Dependencies Resolved
> =============================================================================================================================================================
>  Package                                     Arch                           Version 
                               Repository                          Size
> =============================================================================================================================================================
> Installing:
>  cloud-agent                                 x86_64                         2.2.15-2.el6
                           cloud-temp                          11 k
> Installing for dependencies:
>  cloud-agent-libs                            x86_64                         2.2.15-2.el6
                           cloud-temp                         216 k
>  cloud-agent-scripts                         x86_64                         2.2.15-2.el6
                           cloud-temp                          26 M
>  cloud-core                                  x86_64                         2.2.15-2.el6
                           cloud-temp                         568 k
>  cloud-daemonize                             x86_64                         2.2.15-2.el6
                           cloud-temp                         9.0 k
>  cloud-deps                                  x86_64                         2.2.15-2.el6
                           cloud-temp                          18 M
>  cloud-python                                x86_64                         2.2.15-2.el6
                           cloud-temp                          65 k
>  cloud-utils                                 x86_64                         2.2.15-2.el6
                           cloud-temp                         1.1 M
> Transaction Summary
> =============================================================================================================================================================
> Install       8 Package(s)
> Total download size: 47 M
> Installed size: 50 M
> Is this ok [y/N]: y
> Downloading Packages:
> -------------------------------------------------------------------------------------------------------------------------------------------------------------
> Total                                                                               
                                         71 MB/s |  47 MB     00:00     
> Running rpm_check_debug
> Running Transaction Test
> Transaction Test Succeeded
> Running Transaction
>   Installing : cloud-utils-2.2.15-2.el6.x86_64                                      
                                                                    1/8 
>   Installing : cloud-deps-2.2.15-2.el6.x86_64                                       
                                                                    2/8 
>   Installing : cloud-core-2.2.15-2.el6.x86_64                                       
                                                                    3/8 
>   Installing : cloud-agent-libs-2.2.15-2.el6.x86_64                                 
                                                                    4/8 
>   Installing : cloud-agent-scripts-2.2.15-2.el6.x86_64                              
                                                                    5/8 
>   Installing : cloud-python-2.2.15-2.el6.x86_64                                     
                                                                    6/8 
>   Installing : cloud-daemonize-2.2.15-2.el6.x86_64                                  
                                                                    7/8 
>   Installing : cloud-agent-2.2.15-2.el6.x86_64                                      
                                                                    8/8 
> duration: 174(ms)
> Installed products updated.
> Installed:
>   cloud-agent.x86_64 0:2.2.15-2.el6                                                 
                                                                        
> Dependency Installed:
>   cloud-agent-libs.x86_64 0:2.2.15-2.el6 cloud-agent-scripts.x86_64 0:2.2.15-2.el6 cloud-core.x86_64
0:2.2.15-2.el6  cloud-daemonize.x86_64 0:2.2.15-2.el6
>   cloud-deps.x86_64 0:2.2.15-2.el6       cloud-python.x86_64 0:2.2.15-2.el6        cloud-utils.x86_64
0:2.2.15-2.el6
> Complete!
> Loaded plugins: product-id, subscription-manager
> Updating Red Hat repositories.
> Setting up Update Process
> No Packages marked for Update
> Agent installation is completed, please add the host from management server
> The installation goes fine but the agent fails to start :
> Here is something in agent logs,
> log4j:WARN No appenders could be found for logger (com.cloud.agent.AgentShell).
> log4j:WARN Please initialize the log4j system properly.
> log4j:WARN See http://logging.apache.org/log4j/1.2/faq.html#noconfig for more info.
> 2013-07-25 20:02:27,538{GMT} INFO  [utils.component.ComponentLocator] (main:) Unable
to find components.xml
> 2013-07-25 20:02:27,538 INFO  [utils.component.ComponentLocator] (main:null) Unable to
find components.xml
> 2013-07-25 20:02:27,540{GMT} INFO  [utils.component.ComponentLocator] (main:) Skipping
configuration using components.xml
> 2013-07-25 20:02:27,540 INFO  [utils.component.ComponentLocator] (main:null) Skipping
configuration using components.xml
> 2013-07-25 20:02:27,540{GMT} INFO  [cloud.agent.AgentShell] (main:) Implementation Version
is 2.2.15.20121003223501
> 2013-07-25 20:02:27,540 INFO  [cloud.agent.AgentShell] (main:null) Implementation Version
is 2.2.15.20121003223501
> 2013-07-25 20:02:27,543{GMT} ERROR [cloud.agent.AgentShell] (main:) Unable to start agent:
Unable to find the guid
> 2013-07-25 20:02:27,543 ERROR [cloud.agent.AgentShell] (main:null) Unable to start agent:
Unable to find the guid
> Unable to start agent: Unable to find the guid
> /usr/bin/build-classpath: error: Could not find jnetpcap.jar Java extension for this
JVM
> /usr/bin/build-classpath: error: Some specified jars were not found
> Current directory is /usr/lib64/cloud/agent
> Does this mean we can't install Rhel 6.2 builds on Rhel 6.1 MS ?
> ------------------------------------------------------------------------------------------------------------------------------------------------------
> Error 2 : Agent
> ====================================
> Even after that when I tried to upgrade agent, there was a dependecy error for "ipset"
> [root@rhel61-band17 CloudPlatform-4.2-dbupgrade-14-rhel6.2]# ./install.sh 
> Setting up the temporary repository...
> Cleaning Yum cache...
> Loaded plugins: product-id, subscription-manager
> Updating Red Hat repositories.
> Cleaning repos: cloud-temp rhel
> 1 metadata files removed
> Welcome to the CloudPlatform Installer.  What would you like to do?
>         NOTE:   For installing KVM agent, please setup EPEL<http://fedoraproject.org/wiki/EPEL>
yum repo first;
>                 For installing CloudPlatform on RHEL6.x, please setup distribution yum
repo either from ISO or from your registeration account.
>                 
>     M) Install the Management Server   
>     A) Install the Agent
>     B) Install BareMetal Agent
>     S) Install the Usage Monitor
>     D) Install the database server (from distribution's repo)      
>     U) Upgrade the CloudPlatform packages installed on this computer
>     R) Stop any running CloudPlatform services and remove the CloudPlatform packages
from this computer
>     L) Install the MySQL 5.1.58 (only for CentOS5.x, Rhel6.x naturally has higher version
MySql)
>     Q) Quit
>  > u
> Updating the CloudPlatform and its dependencies...
> Loaded plugins: product-id, subscription-manager
> Updating Red Hat repositories.
> cloud-temp                                                                          
                                                 | 1.3 kB     00:00 ... 
> cloud-temp/primary                                                                  
                                                 | 2.4 kB     00:00 ... 
> cloud-temp                                                                          
                                                                    6/6
> rhel                                                                                
                                                 | 4.0 kB     00:00 ... 
> Not using downloaded repomd.xml because it is older than what we have:
>   Current   : Thu Nov 17 21:45:19 2011
>   Downloaded: Wed May 11 04:21:40 2011
> Setting up Update Process
> Resolving Dependencies
> --> Running transaction check
> ---> Package cloud-agent.x86_64 0:2.2.15-2.el6 will be obsoleted
> ---> Package cloud-agent-libs.x86_64 0:2.2.15-2.el6 will be obsoleted
> ---> Package cloud-core.x86_64 0:2.2.15-2.el6 will be obsoleted
> ---> Package cloud-daemonize.x86_64 0:2.2.15-2.el6 will be obsoleted
> ---> Package cloud-deps.x86_64 0:2.2.15-2.el6 will be obsoleted
> ---> Package cloud-python.x86_64 0:2.2.15-2.el6 will be obsoleted
> ---> Package cloud-utils.x86_64 0:2.2.15-2.el6 will be obsoleted
> ---> Package cloudstack-agent.x86_64 0:4.2.0-SNAPSHOT.el6 will be obsoleting
> --> Processing Dependency: ipset for package: cloudstack-agent-4.2.0-SNAPSHOT.el6.x86_64
> ---> Package cloudstack-common.x86_64 0:4.2.0-SNAPSHOT.el6 will be obsoleting
> ---> Package cloudstack-management.x86_64 0:4.2.0-SNAPSHOT.el6 will be obsoleting
> --> Processing Dependency: cloudstack-awsapi = 4.2.0 for package: cloudstack-management-4.2.0-SNAPSHOT.el6.x86_64
> --> Processing Dependency: mysql-connector-java for package: cloudstack-management-4.2.0-SNAPSHOT.el6.x86_64
> --> Running transaction check
> ---> Package cloudstack-agent.x86_64 0:4.2.0-SNAPSHOT.el6 will be obsoleting
> --> Processing Dependency: ipset for package: cloudstack-agent-4.2.0-SNAPSHOT.el6.x86_64
> ---> Package cloudstack-awsapi.x86_64 0:4.2.0-SNAPSHOT.el6 will be installed
> ---> Package mysql-connector-java.x86_64 1:5.1.12-2.el6 will be installed
> --> Processing Dependency: jta >= 1.0 for package: 1:mysql-connector-java-5.1.12-2.el6.x86_64
> --> Running transaction check
> ---> Package cloudstack-agent.x86_64 0:4.2.0-SNAPSHOT.el6 will be obsoleting
> --> Processing Dependency: ipset for package: cloudstack-agent-4.2.0-SNAPSHOT.el6.x86_64
> ---> Package geronimo-specs-compat.noarch 0:1.0-3.4.M2.el6 will be installed
> --> Processing Dependency: geronimo-specs = 1.0-3.4.M2.el6 for package: geronimo-specs-compat-1.0-3.4.M2.el6.noarch
> --> Running transaction check
> ---> Package cloudstack-agent.x86_64 0:4.2.0-SNAPSHOT.el6 will be obsoleting
> --> Processing Dependency: ipset for package: cloudstack-agent-4.2.0-SNAPSHOT.el6.x86_64
> ---> Package geronimo-specs.noarch 0:1.0-3.4.M2.el6 will be installed
> --> Processing Dependency: apache-tomcat-apis for package: geronimo-specs-1.0-3.4.M2.el6.noarch
> --> Running transaction check
> ---> Package apache-tomcat-apis.noarch 0:0.1-1.el6 will be installed
> ---> Package cloudstack-agent.x86_64 0:4.2.0-SNAPSHOT.el6 will be obsoleting
> --> Processing Dependency: ipset for package: cloudstack-agent-4.2.0-SNAPSHOT.el6.x86_64
> --> Finished Dependency Resolution
> Error: Package: cloudstack-agent-4.2.0-SNAPSHOT.el6.x86_64 (cloud-temp)
>            Requires: ipset
>  You could try using --skip-broken to work around the problem
>  You could try running: rpm -Va --nofiles --nodigest
> [root@rhel61-band17 CloudPlatform-4.2-dbupgrade-14-rhel6.2]# 
> Before this there was jsvc dependency also.
> --------------------------------------------------------------------
> Removing the issues from management server side as they are already there in https://issues.apache.org/jira/browse/CLOUDSTACK-3858

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message